[workspace]
members = ["app/src-tauri", "shared", "server"]
resolver = "2"

[workspace.package]
edition = "2021"
authors = ["Stevan Freeborn"]

[workspace.dependencies]
serde = { version = "1", features = ["derive"] }
serde_json = "1"
ed25519-dalek = "3.0.0"
base64 = "0.22.1"
sha2 = "0.11.0"
thiserror = "2"
url = "2.5.8"
log = "0.4"

[profile.release]
lto = true
codegen-units = 1
strip = "symbols"
opt-level = "s"
panic = "abort"
